'use client'

import React from 'react'
import { motion } from 'framer-motion'

const AboutSection: React.FC = () => {
  return (
    <section className="abs-section bg-gray-900 py-16 px-4">
      <div className="abs-container max-w-4xl mx-auto">
        <motion.div
          className="abs-content-wrapper bg-gray-800 rounded-lg p-8 relative overflow-hidden"
          initial={{ opacity: 0, y: 50 }}
          animate={{ opacity: 1, y: 0 }}
          transition={{ duration: 0.5 }}
        >
          <div className="abs-border-animation" />
          <h2 className="abs-title text-4xl font-bold text-white mb-6 text-center">About Us</h2>
          <p className="abs-description text-gray-300 text-center mb-8">
            We are a team of passionate developers and designers dedicated to delivering high-quality
            digital experiences. Our goal is to help businesses grow by building beautiful, fast, and
            responsive websites.
          </p>
          <div className="abs-button-wrapper text-center">
            <button className="abs-learn-more-btn px-6 py-2 rounded-full text-white font-semibold bg-gradient-to-r from-orange-500 to-purple-600 hover:from-orange-600 hover:to-purple-700 transition-all duration-300">
              Learn More
            </button>
          </div>
        </motion.div>
      </div>
    </section>
  )
}

export default AboutSection